Name:          arduino-rambo
Version:       1.3L
Release:       2%{?dist}
Summary:       RAMBo 3D printer electronics firmware for use with Arduino IDE
Group:         Development/Tools
License:       MIT and ISC and LGPLv2+ and GPLv2+
URL:           https://code.google.com/p/u8glib/
BuildArch:     noarch
Requires:      arduino-core

# The source tarball is over 80MB because it contains a lot of stuff other
# than the Arduino files we care about. Instead of burdening the build
# system with an 80MB tarball, we'll download it offline and construct
# a tarball of just the part we care about.
Source0:       %{name}-%{version}.tar.gz
# The process to construct the Source0 tarball is:
#   export VERSION=1.3L    # substitute rpm specfile %{version}
#   wget https://github.com/ultimachine/RAMBo/archive/$VERSION.tar.gz
#   tar -xzf $VERSION.tar.gz
#   mv RAMBo-$VERSION/ArduinoAddons/Arduino_1.x.x/rambo arduino-rambo-$VERSION
#   tar -czf arduino-rambo-$VERSION.tar.gz arduino-rambo-$VERSION
#   rm -rf RAMBo-$VERSION arduino-rambo-$VERSION

# The RAMBo sources use deprecated SIGNAL macro, needs to be replaced
# with ISR macro. Same as upstream Arduino bug #955:
#   https://code.google.com/p/arduino/issues/detail?id=955
Patch0:        arduino-rambo-isr.patch

# Note: upstream notified by email of incorrect FSF address on 24-NOV-2014.

%description
This package provides the hardware library source files necessary to support
Ultimaker RAMBo 3D printer electronics, as used e.g. in the LulzBot TAZ and
AO-101 3D printers.

%prep
%setup -q
%patch0 -p1 -b .isr

%build
# nothing needed here

%install
mkdir -p %{buildroot}%{_datadir}/arduino/hardware/rambo
tar -cf - . | tar -C %{buildroot}%{_datadir}/arduino/hardware/rambo -xf -

%files
%{_datadir}/arduino/hardware/rambo

%changelog
* Mon Nov 24 2014 Eric Smith <brouhaha@fedoraproject.org> - 1.3L-2
- Added patch to replace SIGNAL macro with ISR.

* Mon Nov 24 2014 Eric Smith <brouhaha@fedoraproject.org> - 1.3L-1
- Initial version.
